Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.daemon.authentication
Class PasswordAuthenticationServer

    java.lang.Object
      com.sshtools.daemon.authentication.SshAuthenticationServer
          com.sshtools.daemon.authentication.PasswordAuthenticationServer

public class PasswordAuthenticationServer
extends SshAuthenticationServer

DOCUMENT ME!

Constructor Summary
`PasswordAuthenticationServer()`

Method Summary
`int` | `authenticate(AuthenticationProtocolServer authentication, SshMsgUserAuthRequest msg)` DOCUMENT ME!
`java.lang.String` | `getMethodName()` DOCUMENT ME!
`void` | `setAuthenticatedTokens(java.util.Map tokens)` DOCUMENT ME!

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PasswordAuthenticationServer

    public PasswordAuthenticationServer()

Method Detail

### getMethodName

    public final java.lang.String getMethodName()

  DOCUMENT ME!

  Specified by:
    `getMethodName` in class `SshAuthenticationServer`
  Returns:
    DOCUMENT ME!

### setAuthenticatedTokens

    public void setAuthenticatedTokens(java.util.Map tokens)

  DOCUMENT ME!

  Parameters:
    `tokens` - DOCUMENT ME!

### authenticate

    public int authenticate(AuthenticationProtocolServer authentication,
                            SshMsgUserAuthRequest msg)
                     throws java.io.IOException

  DOCUMENT ME!

  Specified by:
    `authenticate` in class `SshAuthenticationServer`
  Parameters:
    `authentication` - DOCUMENT ME!
    `msg` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD